# haken

## Name

haken — Does a triangulation represent a Haken 3-manifold?

## Synopsis

Content Model

    haken ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

A `haken` element stores whether or not the parent triangulation represents a Haken manifold; that is, whether it contains an embedded closed incompressible surface.

This element should only be stored beneath triangulations that represent closed, connected, orientable and irreducible 3-manifolds.

### Parents

The following elements contain `haken`: `packet` (3-dimensional triangulation).

### Children

Element `haken` has no children.

## Attributes

`value`

  Either `T` or `F`, according to whether the parent triangulation does or does not represent a Haken 3-manifold.